For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get domain forwarding

Retrieve domain forwarding data. Use this endpoint to view current redirect configuration for domains.

Get domain forwarding

get

Retrieve domain forwarding data.

Use this endpoint to view current redirect configuration for domains.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
domainstringRequired

Domain name

Example: mydomain.tld
Responses
200

Success response

application/json
domainstring · nullableOptional

Domain name

Example: mydomain.tld
redirect_typestring · enumOptional

Redirect type

Example: 301Possible values:
redirect_urlstringOptional

URL domain is forwarded to

Example: https://forward.to.my.url
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-time · nullableOptionalExample: 2025-03-27T11:54:22Z
get/api/domains/v1/forwarding/{domain}
GET /api/domains/v1/forwarding/{domain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "domain": "mydomain.tld",
  "redirect_type": "301",
  "redirect_url": "https://forward.to.my.url",
  "created_at": "2025-02-27T11:54:22Z",
  "updated_at": "2025-03-27T11:54:22Z"
}

Last updated

Was this helpful?